<?php include('fncr-geral/configuracao_geral.php');
$pagina = "mensalidades";
$blq_pag = "notas_fiscais";
include('fncr-geral/permissoes_restricao.php');

$periodo_mes = $mes_atual;
$periodo_ano = $ano_atual;

if(isset($_GET['periodo']) && $_GET['periodo'] != ""){
  $filtro = explode('_', $_GET['periodo']);
  $periodo_mes = $filtro[0];
  $periodo_ano = $filtro[1];
}
if(isset($_POST['filtro']) && $_POST['filtro'] == "filtro"){
  $filtro = explode('-', $_POST['periodo']);
  $periodo_mes = $filtro[1];
  $periodo_ano = $filtro[0];
}
if(isset($_POST['periodo_mes']) && $_POST['periodo_mes'] != "" && isset($_POST['periodo_ano']) && $_POST['periodo_ano'] != ""){
  $periodo_mes = $_POST['periodo_mes'];
  $periodo_ano = $_POST['periodo_ano'];
}


// ENVIAR NOTAS FISCAIS
if(isset($_POST['enviar_nota'])) {

  $files_up = $_FILES['arquivo_nf'];
  $files = array();

  foreach($files_up as $k=>$file){
    foreach($file as $id=>$v){
      if($v!="" && $k!="error"){
        $files[$id][$k]=$v;
      }
    }
  }

  foreach($files as $id=>$file){
    $nome_md5 = md5($datahora_bd.gerarSenha()).".pdf";
    $arquivo = '../_nfs/'.$nome_md5;

    if(move_uploaded_file($file['tmp_name'], $arquivo)) {

      $url = 'https://pw.pokerweb.com.br/_nfs/'.$arquivo;

      $sql = $bd->getConexao()->prepare('UPDATE fingeral_nfs SET
      nf_url = :nf_url,
      nf_pdf = :nf_pdf,
      status = 2,
      erro = 0,
      erro_json = null,
      data_hora_emissao = now()
      WHERE id = :id');
      $sql->bindValue(':id', $id, PDO::PARAM_STR);
      $sql->bindValue(':nf_url', $url, PDO::PARAM_STR);
      $sql->bindValue(':nf_pdf', $url, PDO::PARAM_STR);
      if( $sql->execute() );

    }
  }


  /*
  // Registros
  $sql_registros_nfs = $bd->getConexao()->prepare('
  SELECT clubes_financeiro.*, clubes.nome as clube
  FROM clubes_financeiro
    LEFT JOIN clubes ON clubes.id = clubes_financeiro.id_clube
    LEFT JOIN clubes_financeiro_status ON clubes_financeiro_status.id = clubes_financeiro.status
  WHERE clubes_financeiro.periodo_mes = :periodo_mes AND clubes_financeiro.periodo_ano = :periodo_ano AND clubes_financeiro.status = 4
  GROUP BY clubes.id ORDER BY clube ASC');
  $sql_registros_nfs->bindValue(':periodo_mes', $periodo_mes, PDO::PARAM_STR);
  $sql_registros_nfs->bindValue(':periodo_ano', $periodo_ano, PDO::PARAM_STR);
  if( $sql_registros_nfs->execute() ) { $resul_registros_nfs = $sql_registros_nfs->fetchall(PDO::FETCH_ASSOC);}

  foreach($resul_registros_nfs as $l){
    $id=$l['id'];

    if(isset($_FILES['arquivo'.$id]) && $_FILES['arquivo'.$id]['error']==0){

      $pasta = '../_nfs/';
      $nome_md5 = md5($datahora_bd.gerarSenha()).".pdf";
      $arquivo = $pasta . $nome_md5;

      if(move_uploaded_file($_FILES['arquivo'.$id]['tmp_name'], $arquivo)) {

        $sql_nota = $bd->getConexao()->prepare('UPDATE clubes_financeiro SET notafiscal = :nome_arquivo WHERE id = :id');
        $sql_nota->bindValue(':id', $id, PDO::PARAM_STR);
        $sql_nota->bindValue(':nome_arquivo', $nome_md5, PDO::PARAM_STR);
        if( $sql_nota->execute() );

      } else { echo "Erro no envio: ".$l['clube'].'<br>'; }
    }

  }
  */
}


// EXCLUIR NOTA FISCAL
/*
if(isset($_POST['excluir']) && $_POST['excluir']=="notafiscal") {

  $id_mensalidade = $_POST['id_registro'];

  $sql_nota = $bd->getConexao()->prepare('UPDATE clubes_financeiro SET notafiscal = "" WHERE id = :id');
  $sql_nota->bindValue(':id', $id_mensalidade, PDO::PARAM_STR);
  if( $sql_nota->execute() );

}
*/

/*
// Registros
$sql_registros = $bd->getConexao()->prepare('
SELECT clubes_financeiro.*,
  clubes.nome as clube, clubes.cnpj, clubes.cpf,
  clubes.razao,
  clubes.contato,
  clubes.cep,
  clubes.endereco,
  clubes.cidade,
  clubes.uf,
  clubes.tel1,
  clubes.tel2,
  clubes.cel,
  clubes.email,
  clubes.light,
  clubes_financeiro_status.status as nomestatus,
  DATE_FORMAT(clubes_financeiro.data_pgto,"%d/%m/%Y") AS data_pagamento,
  DATE_FORMAT(clubes.data_cadastro,"%d/%m/%Y") AS data_cadastro
FROM clubes_financeiro
  LEFT JOIN clubes ON clubes.id = clubes_financeiro.id_clube
  LEFT JOIN clubes_financeiro_status ON clubes_financeiro_status.id = clubes_financeiro.status
WHERE clubes_financeiro.periodo_mes = :periodo_mes AND clubes_financeiro.periodo_ano = :periodo_ano AND clubes_financeiro.status = 4 AND clubes_financeiro.valor >0
GROUP BY clubes.id ORDER BY clube ASC');
$sql_registros->bindValue(':periodo_mes', $periodo_mes, PDO::PARAM_STR);
$sql_registros->bindValue(':periodo_ano', $periodo_ano, PDO::PARAM_STR);
if( $sql_registros->execute() ) { $resul_registros = $sql_registros->fetchall(PDO::FETCH_ASSOC);}
*/

// Registros
$sql_registros = $bd->getConexao()->prepare('
SELECT r.*,
  clubes.nome as clube, clubes.cnpj, clubes.cpf,
  clubes.razao,
  clubes.contato,
  clubes.cep,
  clubes.endereco,
  clubes.cidade,
  clubes.uf,
  clubes.tel1,
  clubes.tel2,
  clubes.cel,
  clubes.email,
  nf.nf_url,
  nf.id as nf_id
FROM fingeral_registros r
  LEFT JOIN fingeral_nfs nf ON nf.id = r.id_nfs
  LEFT JOIN clubes ON clubes.id = r.id_clube
WHERE r.periodo_mes = :periodo_mes AND r.periodo_ano = :periodo_ano AND r.status_pago = 1 AND r.valor>0 AND r.id_clube>0 AND r.id_nfs>0
ORDER BY nf.status, clubes.nome ASC');
$sql_registros->bindValue(':periodo_mes', $periodo_mes, PDO::PARAM_STR);
$sql_registros->bindValue(':periodo_ano', $periodo_ano, PDO::PARAM_STR);
if( $sql_registros->execute() ) { $resul_registros = $sql_registros->fetchall(PDO::FETCH_ASSOC);}

?>
<!DOCTYPE html>
<html lang="pt-br">
<head>
    <?php include('fncr-geral/html-head.php');?>

  <style>
    .inf_alt{background-color: #009cbb }
    .panel .table-striped > tbody > tr:nth-child(odd) > td, .panel .table-striped > tbody > tr:nth-child(odd) > th {
      background-color: #e6e7e8;
    }
  </style>

<script type="text/javascript">

  $(document).ready(function(){

    var clipboard = new Clipboard('.copy');

    $('.copy').click(function(){ piscar(this) })

  });

  // Script Modal data Status Deletar
  $(document).ready(function(){
      $("#modal_excluir_nota").on('show.bs.modal', function(event){
          var button = $(event.relatedTarget);
          var id_registro = button.data('id_registro');
          $(this).find("[name='id_registro']").val(id_registro);
      });
  });

  function piscar(obj){
    $(obj).addClass('inf_alt');
    $(obj).fadeTo('fast', 0.5, function(){
      $(obj).removeClass('inf_alt');
    }).fadeTo('fast', 1);

  }

</script>

</head>
<body>

<!-- BARRA SUPERIOR -->
<?php include('barra-sup.php');?>
<!-- MENU PRINCIPAL -->
<?php include('menu.php');?>

<section id="content">

<div class="clearfix padder bg-fncr-clearfix">
<h3 class="m-b">Notas Fiscais</h3>
</div>

<section id="content" class="content-sidebar bg-white" style="padding-bottom: 100px">
<section class="main">
<br>
  <div class="col-lg-12">
    <section class="panel">
      <table class="table table-striped b-t text-small">
        <thead>
        <tr>
          <?php for($i=-5; $i<=2; $i++){

            $mes_echo = $periodo_mes+$i;
            $ano_echo = $periodo_ano;

            if($periodo_mes+$i <=0){
              $mes_echo = 12+$periodo_mes+$i;
              $ano_echo = $periodo_ano -1;
            }
            if($periodo_mes+$i >12){
              $mes_echo = $periodo_mes+$i-12;
              $ano_echo = $periodo_ano +1;
            }

            if($i==0){
              echo '<th class="text-center" style="font-size: 15px;background-color: #2d5360;color: #ffffff">';
            }else{
              echo '<th class="text-info text-center"><a href="notas_fiscais.php?periodo='.$mes_echo.'_'.$ano_echo.'">';
            }
            echo substr(meses($mes_echo), 0, 3)." / ".$ano_echo;
            echo '</a></th>';
          }?>
          <th class="text-info text-center" width="30%">
            <form method="post" action="" enctype="multipart/form-data">
              <input type="hidden" name="filtro" value="filtro" />
              <div class="col-lg-1 pull-right" style="padding: 2px;margin-right: 30px;">
                <button type="submit" class="btn btn-sm">Filtrar</button>
              </div>
              <div class="col-lg-9 pull-right" style="margin-top: 2px">
                <input type="text" class="combodate form-control" data-format="YY-MM" data-template="MMMM YYYY" name="periodo" data-required="true">
              </div>
            </form>
          </th>
        </tr>
        </thead>
      </table>
    </section>
  </div>

  <div class="col-lg-12">
    <form class="m-b-none" method="post" action="" enctype="multipart/form-data">
    <input type="hidden" name="enviar_nota" value="nota_fiscal" />

      <section class="panel">
        <div class="table-responsive">
          <table class="table table-striped b-t text-small" style="font-size: 10px">
            <thead>
            <tr>
              <th class="text-center">Tipo</th>
              <th class="text-center">Doc</th>
              <th>Clube</th>
              <th class="text-center" width="200">Arquivo</th>
              <th class="text-center">Nome</th>
              <th class="text-center">Cep</th>
              <th class="text-center">End</th>
              <th class="text-center">Cid</th>
              <th class="text-center">UF</th>
              <th class="text-center">Tel</th>
              <th class="text-center">Email</th>
              <th class="text-center">Desc</th>
              <th class="text-center">Valor</th>
            </tr>
            </thead>
            <tbody>
            <?php foreach($resul_registros as $linha_registros){

              $num_tel='';
              if($linha_registros['cel']!=""){ $num_tel=$linha_registros['cel']; }else{
                if($linha_registros['tel1']!=""){ $num_tel=$linha_registros['tel1']; }else{
                  if($linha_registros['tel2']!=""){ $num_tel=$linha_registros['tel2']; }
              }}

              $tipo_sistema = 'Licen&ccedil;a de Uso (m&ecirc;s de '.meses($periodo_mes).') / Sistema Profissional';
              $tipo_sistema_min = 'Profissional';

              $num_doc = $linha_registros['cnpj'];
              $tipo_doc = 'Jur';
              $nome = $linha_registros['razao'];
              if($linha_registros['cnpj']==""){
                $num_doc = $linha_registros['cpf']; $tipo_doc = 'Fis';
                $nome = $linha_registros['contato'];
              }

              $num_doc = str_replace(".", "", $num_doc);
              $num_doc = str_replace("-", "", $num_doc);
              $num_doc = str_replace("/", "", $num_doc);

              $cep = str_replace("-", "", $linha_registros['cep']);
              $cep = str_replace(".", "", $cep);
              $num_tel = str_replace("(", "", $num_tel);
              $num_tel = str_replace(")", "", $num_tel);
              $num_tel = str_replace(" ", "", $num_tel);
              $num_tel = str_replace("-", "", $num_tel);

              ?>
              <tr>
                <td class="text-info text-center"><span class="copy" data-clipboard-text="<?php echo $tipo_doc?>"><?php echo $tipo_doc?></span></td>
                <td class="text-info text-center"><span class="copy" data-clipboard-text="<?php echo $num_doc?>"><?php echo $num_doc?></span></td>
                <td class="text-info"><span class="copy" data-clipboard-text="<?php echo $linha_registros['clube']?>"><?php echo $linha_registros['clube']?></span></td>
                <td class="text-info">
                  <?php if($linha_registros['nf_url']==""){ ?>
                    <input type="file" name="arquivo_nf[<?php echo $linha_registros['nf_id']?>]" class="btn-pagar" title="Arquivo" accept=".pdf">
                  <?php }elseif($linha_registros['nf_url']!=""){ ?>
                    <a href="<?php echo $linha_registros['nf_url'] ?>" class="btn btn-info btn-pagar" target="_blank">Nota Fiscal</a>
                  <?php }
                  /*
                    <a class="bt-registro pull-left" data-toggle="modal" href="#modal_excluir_nota" data-backdrop="static" data-id_registro="<?php echo $linha_registros['id']?>" style="margin: -1px 10px 0 -10px;font-size: 13px"><i class="fa fa-times text-danger fa-lg" data-toggle="tooltip" data-placement="top" title="Excluir NF"></i></a>
                  */
                  ?>
                </td>
                <td class="text-info text-center" style="padding-left: 0;padding-right: 0"><a class="copy btn btn-info btn-pagar" data-clipboard-text="<?php echo $nome?>">Nome</a></td>
                <td class="text-info text-center" style="padding-left: 0;padding-right: 0"><a class="copy btn btn-primary btn-pagar" data-clipboard-text="<?php echo $cep?>">Cep</a></td>
                <td class="text-info text-center" style="padding-left: 0;padding-right: 0"><a class="copy btn btn-info btn-pagar" data-clipboard-text="<?php echo $linha_registros['endereco']?>">End</a></td>
                <td class="text-info text-center" style="padding-left: 0;padding-right: 0"><a class="copy btn btn-primary btn-pagar" data-clipboard-text="<?php echo $linha_registros['cidade']?>">Cid</a></td>
                <td class="text-info text-center" style="padding-left: 0;padding-right: 0"><a class="copy btn btn-info btn-pagar" data-clipboard-text="<?php echo $linha_registros['uf']?>">UF</a></td>
                <td class="text-info text-center" style="padding-left: 0;padding-right: 0"><a class="copy btn btn-primary btn-pagar" data-clipboard-text="<?php echo $num_tel?>">Tel</a></td>
                <td class="text-info text-center" style="padding-left: 0;padding-right: 0"><a class="copy btn btn-info btn-pagar" data-clipboard-text="<?php echo $linha_registros['email']?>">Email</a></td>
                <td class="text-info text-center" style="padding-left: 0;padding-right: 0"><a class="copy btn btn-primary btn-pagar" data-clipboard-text="<?php echo $tipo_sistema?>"><?php echo $tipo_sistema_min?></a></td>
                <td class="text-info text-center" style="padding-left: 0;padding-right: 0"><a class="copy btn btn-info btn-pagar" data-clipboard-text="<?php echo echomoeda($linha_registros['valor'])?>"><?php echo echomoeda($linha_registros['valor'])?></a></td>
              </tr>
            <?php } ?>
            </tbody>
          </table>
          <button type="submit" class="btn pull-right btn-xs">Enviar</button>

        </div>
      </section>
    </form>

  </div>
</section>
</section>
</section>

<!-- FOOTER -->
<?php include('footer.php');?>

<!-- Modal EXCLUIR -->
<div id="modal_excluir_nota" class="modal fade bs-example-modal-sm">
  <form class="m-b-none" method="post" action="" enctype="multipart/form-data">
    <input type="hidden" name="excluir" value="notafiscal" />
    <input type="hidden" name="id_registro" value="" />
    <div class="modal-dialog modal-sm" style="width: 350px;">
      <div class="modal-content">
        <div class="modal-header bg-info">
          <button type="button" class="close" data-dismiss="modal"><i class="fa fa-times"></i></button>
          <h4 class="modal-title" id="myModalLabel">Excluir Registro</h4>
        </div>
        <div class="modal-body">
          <div class="row">
            <div class="col-lg-12 text-center">
              Tem certeza que deseja excluir este Registro?
            </div>
          </div>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-sm btn-default" data-dismiss="modal">Cancelar</button>
          <button type="submit" class="btn btn-sm btn-danger" data-loading-text="Excluindo...">Excluir</button>
        </div>
      </div>
    </div>
  </form>
</div>

<!-- app -->
<script src="js/app.js"></script>
<script src="js/app.plugin.js"></script>
<script src="js/app.data.js"></script>
<!-- Sparkline Chart -->
<script src="js/charts/sparkline/jquery.sparkline.min.js"></script>
<!-- Easy Pie Chart -->
<script src="js/charts/easypiechart/jquery.easy-pie-chart.js"></script>
  <!-- select2 -->
<script src="js/select2/select2.min.js"></script>
  <!-- fuelux -->
<script src="js/fuelux/fuelux.js"></script>
<!-- datepicker -->
<script src="js/datepicker/bootstrap-datepicker.js"></script>
<!-- slider -->
<script src="js/slider/bootstrap-slider.js"></script>
<!-- file input -->
<script src="js/file-input/bootstrap.file-input.js"></script>
<!-- combodate -->
<script src="js/combodate/moment.min.js"></script>
<script src="js/combodate/combodate.js"></script>
<!-- parsley -->
<script src="js/parsley/parsley.min.js"></script>

<script src="js/clipboard.js"></script>

</body>
</html>
<?php $bd = null; $bd_fn = null;?>